<?php

namespace Tests\Constraint;

/**
 * Class LengthTest
 * @package Tests\Constraint
 */
class LengthTest extends \PHPUnit\Framework\TestCase
{

    /**
     * @var \Form\Constraint\Length
     */
    protected $constraint;

    public function setUp()
    {
        $this->constraint = new \Form\Constraint\Length(2, 5);
    }

    public function testValueIsValid()
    {
        $value = 'dedi';
        $result = $this->constraint->isValid($value);

        $this->assertTrue($result);
    }

    public function testValueIsNotValid()
    {
        $value = 'dediagency';
        $result = $this->constraint->isValid($value);

        $this->assertFalse($result);
    }
}
