<?php

namespace Tests\Constraint;

/**
 * Class NotTest
 * @package Tests\Constraint
 */
class NotTest extends \PHPUnit\Framework\TestCase
{

    /**
     * @var \Form\Constraint\Not
     */
    protected $constraint;

    public function setUp()
    {
        $this->constraint = new \Form\Constraint\Not('dedi');
    }

    public function testValueIsValid()
    {
        $value = 'dediagency';
        $result = $this->constraint->isValid($value);

        $this->assertTrue($result);
    }

    public function testValueIsNotValid()
    {
        $value = 'dedi';
        $result = $this->constraint->isValid($value);

        $this->assertFalse($result);
    }
}
